#include <bits/stdc++.h>
using namespace std;
int N,M;
int main(){
cin>>N>>M;
int B[N][M];
int mini[N];
int maksi[N];
int minj[M];
int maksj[M];
for(int i=1;i<=N;i++){
    cin>>mini[i];
    cin>>maksi[i];
}
for(int j=1;j<=M;j++){
    cin>>minj[j];
    cin>>maksj[j];
}
for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
        B[i][j]=min(maksi[i],maksj[j]);
    }
}
int brk=0;
int brp=0;
for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
    brk+=B[i][j];
    if(B[i][j]!=0){
        brp+=1;
    }
    }}
    cout<<brk<<endl;
    cout<<brp<<endl;
for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
    if(B[i][j]!=0){
        cout<<i<<" "<<j<<" "<<B[i][j]<<endl;
    }
    }}
return 0;
}